"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const extend_path_1 = require("./extend-path");
it('should return prefix when path is undefined', () => {
    const res = extend_path_1.extendPath('hello/world');
    chai_1.expect(res).to.equal('hello/world');
});
it('should return prefix when path is empty', () => {
    const res = extend_path_1.extendPath('hello/world', '');
    chai_1.expect(res).to.equal('hello/world');
});
it('should join paths', () => {
    const res = extend_path_1.extendPath('hello', 'world');
    chai_1.expect(res).to.equal('hello/world');
});
it('should not create avoid simple duplicate slashes', () => {
    const res = extend_path_1.extendPath('hello//', '//world');
    chai_1.expect(res).to.equal('hello/world');
});
it('should not create avoid duplicate slashes', () => {
    const res = extend_path_1.extendPath('hello//', '//world');
    chai_1.expect(res).to.equal('hello/world');
});
it('should extend array paths', () => {
    const res = extend_path_1.extendPath('hello', ['world', 'darling', '']);
    chai_1.expect(res).to.deep.equal(['hello/world', 'hello/darling', 'hello']);
});
//# sourceMappingURL=extend-path.spec.js.map