"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const harmony_1 = require("@teambit/harmony");
const ui_1 = require("@teambit/ui");
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const react_router_aspect_1 = require("./react-router.aspect");
const slot_router_1 = require("./slot-router");
class ReactRouterUI {
    constructor(routeSlot) {
        this.routeSlot = routeSlot;
    }
    link() { }
    renderRoutes(routes) {
        return (react_1.default.createElement(react_router_dom_1.BrowserRouter, null,
            react_1.default.createElement(slot_router_1.SlotRouter, { slot: this.routeSlot, rootRoutes: routes })));
    }
    register(route) {
        this.routeSlot.register(route);
        return this;
    }
    static provider(deps, config, [routeSlot]) {
        return __awaiter(this, void 0, void 0, function* () {
            return new ReactRouterUI(routeSlot);
        });
    }
}
exports.ReactRouterUI = ReactRouterUI;
ReactRouterUI.slots = [harmony_1.Slot.withType()];
ReactRouterUI.runtime = ui_1.UIRuntime;
react_router_aspect_1.ReactRouterAspect.addRuntime(ReactRouterUI);
//# sourceMappingURL=react-router.ui.runtime.js.map